import { IApiResponseCollection, IApiResponse, IPayment, IPaymentBalanceTransaction } from '..';
export interface IPaymentService {
    fetchPayments(accountId: string, authToken: string, params: any): Promise<IApiResponseCollection<IPayment[]>>;
    fetchPayment(paymentId: string, authToken: string): Promise<IApiResponse<IPayment>>;
    fetchPaymentTransactions(paymentId: string, params: any, authToken: string): Promise<IApiResponseCollection<any>>;
}
export declare class PaymentService implements IPaymentService {
    fetchPayments(accountId: string, authToken: string, params: any): Promise<IApiResponseCollection<IPayment[]>>;
    fetchPayment(paymentId: string, authToken: string): Promise<IApiResponse<IPayment>>;
    fetchPaymentTransactions(paymentId: string, authToken: string, params: any): Promise<IApiResponseCollection<IPaymentBalanceTransaction[]>>;
}
